<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns="http://www.bourse.lu/rap/O42"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
	xmlns:saxon="http://saxon.sf.net/"
	version="2.0">
		
	<xsl:output method="text" />
	<xsl:param name="spaceParam" />
	<xsl:template match="/">
		<xsl:variable name="formatDateCd" select="'en'"/>
		<xsl:variable name="root" select="/ns:MsgInO42/ns:other/ns:EltTech"/>
		<xsl:variable name="idAc" select="$root/ns:CdIdentAcCssf"/>
		<xsl:variable name="idAc7digit" select="ext:convertIdAcTo7Digit($idAc)"/>
		<xsl:variable name="root" select="/ns:MsgInO42/ns:SeqInO42/ns:Conc1/ns:Context/ns:CollCompartRapO42"/>
		<xsl:variable name="codifInstrFonds" as="xs:integer" select="$root/ns:CdCssfOpc"/>
		<xsl:variable name="codifInstrCompart" as="xs:integer" select="$root/ns:CdCssfCompart"/>
		<xsl:variable name="dtDebRap" as="xs:date" select="$root/ns:DtDebRap"/>
		<xsl:variable name="dtFinRap" as="xs:date" select="$root/ns:DtFinRap"/>	
		<xsl:variable name="zero" select="'O'"/>
		<xsl:variable name="codifInstrFondsForm" select="format-number($codifInstrFonds, '000000')"/>
		<xsl:variable name="codifInstrCompartForm" select="format-number($codifInstrCompart, '00000')"/>
		<xsl:variable name="dtDebRapForm" select="format-date($dtDebRap, '[Y0001][M01][D01]', $formatDateCd, (), ())"/>
		<xsl:variable name="dtFinRapForm" select="format-date($dtFinRap, '[Y0001][M01][D01]', $formatDateCd, (), ())"/>
		<xsl:variable name="t63"  select="'.T63'"/>
		<xsl:variable name="nomFic"  select="concat($idAc7digit, $zero, $codifInstrFondsForm, $codifInstrCompartForm, $dtDebRapForm, $dtFinRapForm, $t63 )"/>
		<xsl:value-of select="ext:storeInSpaceWorkflow('FINAL_FILENAME',$nomFic,$spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space"/>
		
	</xsl:template>
</xsl:stylesheet>
