<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
	xmlns:ns="http://www.bourse.lu/rap/S212"
	xmlns:fnbourse="http://www.bcl.lu/2006/bcl-xpath-functions"
	version="2.0">

	<xsl:output method="xml" indent="yes" />
	
	<xsl:param name="spaceParam" />
	<xsl:param name="ficOri" />
	<xsl:param name="ligneOri" />
	
	<xsl:template match="/ns:MsgInS212">
		<xsl:apply-templates select="ns:SeqInS212/ns:Conc1" />
	</xsl:template>
	
	<xsl:template match="ns:Conc1">
		<xsl:apply-templates select="ns:Context" />
	</xsl:template>
	
	<xsl:template match="ns:Context">
		<!-- Test CODE DEVISE -->
		<xsl:value-of
			select="ext:testCodDev($ficOri, $ligneOri, 'Code Devise', ns:Dev/ns:CdDevIso, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<!-- Test CODES CSSF (FONDS, COMPARTIMENTS) OBLIGATOIRES -->
		<xsl:value-of
			select="ext:testCodesObligatoires($ficOri, $ligneOri, ns:CodifInstrFonds/ns:CodifInstr, ns:CodifInstrCompart/ns:CodifInstr, $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<xsl:apply-templates select="ns:ContextRapMensS212" />
	</xsl:template>
	
	<xsl:template match="ns:ContextRapMensS212">
		<!-- Test DATE SUPERIEURE -->
		<xsl:value-of
			select="ext:testDateSuperieureStrict($ficOri, $ligneOri, 'Date de Fin de Période', substring(ns:DtFinRap, 1, 10), 'Date de Début de Période', substring(ns:DtDebRap, 1, 10), 'yyyy-MM-dd', $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		
		<!-- Test VALEUR (POSITIVE, NEGATIVE) -->
		<xsl:value-of
			select="ext:testPositifNegatifStrict($ficOri, $ligneOri, 'Taux de Change', format-number(ns:TxChgeIml * 100000, '######'), 'true', 'true', $spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
	</xsl:template>

</xsl:stylesheet>
